#pragma once
#include <vector>
#include <list>
#include <fstream>

struct chunkHeader {
	char name[5];
	int size;
	std::streampos position;
};

class Object
{
public:
	Object(const char* path);
	~Object();

private:

	std::list<chunkHeader*> lChunkMsh2;
	std::list<chunkHeader*> lChunkModl;
	std::fstream fsMesh;


private:
	void loadChunks(std::list<chunkHeader*> &destination, std::streampos start, const char end[5]);

public:

};
